var express = require('express');
var router = express.Router();

/* GET users listing. */
router.get('/', function(req, res, next) {
  breadcrumb = [{title:'home', url:'/', stat:''}, {title:'wallet', url:'/wallet', stat:'active'}];
  res.render('wallet', {title: 'Wallet Management', breadcrumb: breadcrumb});
});

router.get('/new', function(req, res, next) {
  breadcrumb = [{title: 'home', url: '/', stat: ''}, {title: 'wallet', url:'/wallet', stat: ''}, {title:'new wallet', url:'/wallet/new', stat:'active'}];
  res.render('new-wallet', {title: 'Create New Wallet', breadcrumb: breadcrumb});
});

router.get('/open', function(req, res, next) {
  breadcrumb = [{title: 'home', url: '/', stat: ''}, {title: 'wallet', url:'/wallet', stat: ''}, {title:'open wallet', url:'/wallet/open', stat:'active'}];
  res.render('open-wallet', {title: 'Open Wallet', breadcrumb: breadcrumb});
});

module.exports = router;
